# $Revision: 1.51 $, $Date: 2011/12/12 12:32:08 $
%define pkgname activerecord
Summary:	Object-Relational mapping library for Ruby
Summary(pl.UTF-8):	Biblioteka odwzorowań obiektowo-relacyjnych dla Ruby
Name:		ruby-activerecord2
Version:	2.3.14
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	412f03f155bf0704c8ecb211a5d9da16
Patch0:		ruby-activerecord-rubygems.patch
URL:		http://rubyforge.org/projects/activerecord/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-activesupport = 2.3.14
Obsoletes:	ruby-ActiveRecord
Provides:	ruby-ActiveRecord
Provides:	ruby-activerecord = %{version}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
This package contains Object-Relational mapping library for Ruby.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę odwzorowań obiektowo-relacyjnych dla
Ruby.

%package rdoc
Summary:	Documentation files for ActiveRecord
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActiveRecord
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActiveRecord.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActiveRecord.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -rf ri/{Fixture*,I18n,MysqlCompat,PGresult,Test,YAML}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README examples
%{ruby_rubylibdir}/active_record
%{ruby_rubylibdir}/active_record.rb
%{ruby_rubylibdir}/activerecord.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveRecord

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-activerecord2.spec,v $
Revision 1.51  2011/12/12 12:32:08  baggins
- 2.3.14

Revision 1.50  2011/07/08 09:40:42  baggins
- 2.3.11

Revision 1.49  2011/06/22 11:14:56  baggins
- provide also generic, versioned package name to avoid file conflicts

Revision 1.48  2011/06/22 10:59:58  baggins
- fix patch file name

Revision 1.47  2011/06/22 10:56:12  baggins
- fix package name and set strict deps

Revision 1.46  2011/06/22 10:47:11  baggins
- 2.3.5 as separate package (needed by redmine)

Revision 1.45  2010/11/30 22:38:03  aredridel
- 3.0.3
- R: ruby-arel
- R: ruby-activemodel

Revision 1.44  2010/03/02 22:27:31  baggins
- removed outdated toto
- added ri package

Revision 1.43  2010/03/01 00:25:21  baggins
- updated R

Revision 1.42  2010/02/28 17:33:55  baggins
- updated to 2.3.5

Revision 1.41  2010/02/27 19:19:50  baggins
- P:ruby-ActiveRecord

Revision 1.40  2010/02/27 17:37:17  baggins
- renamed ruby-ActiveRecord -> ruby-activerecord

Revision 1.39  2009/01/06 06:53:36  glen
- 2.0.5, add -rdoc, rdoc such filelist needs ruby 1.8.6 to build

Revision 1.38  2008/08/29 23:04:02  aredridel
- 2.1.0

Revision 1.37  2007-12-13 09:29:08  aredridel
- 2.0.1

Revision 1.36  2007/03/27 18:44:46  aredridel
- 1.15.3

Revision 1.35  2007/03/05 07:41:55  aredridel
- 1.15.2

Revision 1.34  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.32  2006/10/05 04:02:57  aredridel
- 1.14.4

Revision 1.31  2006/08/08 22:37:20  aredridel
- 1.14.3

Revision 1.30  2006/04/16 06:50:44  aredridel
- 1.14.2

Revision 1.29  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.28  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.27  2005/12/27 09:25:49  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.26  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.25  2005/10/25 15:55:04  aredridel
- up to 1.12.1

Revision 1.24  2005/07/11 14:33:13  aredridel
- up to 1.11.1

Revision 1.23  2005/07/09 19:07:34  glen
- cosmetics

Revision 1.22  2005/07/09 18:36:49  aredridel
- up to 1.11.0

Revision 1.21  2005/05/11 21:01:17  aredridel
- remove included db drivers

Revision 1.20  2005/04/21 01:31:24  aredridel
- up to 1.10.1

Revision 1.19  2005/04/03 20:25:47  aredridel
- up to 1.9.1

Revision 1.18  2005/04/01 09:21:45  aredridel
- R: ruby-ActiveSupport

Revision 1.17  2005/03/20 07:30:34  aredridel
- up to 1.8.0

Revision 1.16  2005/01/24 23:33:28  aredridel
- added todo

Revision 1.15  2005/01/22 06:11:15  aredridel
- up to 1.5.1

Revision 1.14  2004/08/26 16:20:17  havner
- rel 2

Revision 1.13  2004/08/26 01:13:59  aredridel
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

Revision 1.12  2004/08/23 07:43:21  qboosh
- typo

Revision 1.11  2004/08/20 23:34:16  aredridel
- really 0.9.4 (Rubyforge URLs are strange. There be dragons.)

Revision 1.10  2004/08/20 19:47:34  aredridel
- up to 0.9.4

Revision 1.9  2004/08/19 02:36:33  aredridel
- better URL

Revision 1.8  2004/08/19 01:45:25  aredridel
- up to rel 1

Revision 1.7  2004/08/19 01:15:45  aredridel
- up to 0.9.3

Revision 1.6  2004/02/23 19:09:05  qboosh
- simplified paths

Revision 1.5  2004/02/23 07:15:30  aredridel
- fix time bug with all-zeroes times

Revision 1.4  2004/02/23 06:02:59  ankry
- pl, cosmetics; don't use rel==0

Revision 1.3  2004/02/23 04:48:44  aredridel
- buildarch: noarch

Revision 1.2  2004/02/23 04:48:10  aredridel
- include "ri" docs

Revision 1.1  2004/02/23 04:32:42  aredridel
- added
